7.14. prototype
リポジトリーに追加されたデフォルトのパーミッションを管理します。
7.14.1. updateOrganizationPrototypePermission リンクのコピーリンクがクリップボードにコピーされました!
既存のパーミッションプロトタイプのロールを更新します。
PUT /api/v1/organization/{orgname}/prototypes/{prototypeid}
認可: oauth2_implicit(org:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
prototypeid | プロトタイプの ID | string |
| path |
orgname | 組織の名前 | string |
要求の body スキーマ (application/json)
新しいプロトタイプロールの説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
role | パーミッションに適用する必要のあるロール | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
--data '{
"role": "write"
}' \
https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes/<prototypeid>
7.14.2. deleteOrganizationPrototypePermission リンクのコピーリンクがクリップボードにコピーされました!
既存のパーミッションのプロトタイプを削除します。
DELETE /api/v1/organization/{orgname}/prototypes/{prototypeid}
認可: oauth2_implicit(org:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
prototypeid | プロトタイプの ID | string |
| path |
orgname | 組織の名前 | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 204 | 削除済み | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes/<prototype_id>
7.14.3. createOrganizationPrototypePermission リンクのコピーリンクがクリップボードにコピーされました!
新規パーミッションのプロトタイプを作成します。
POST /api/v1/organization/{orgname}/prototypes
認可: oauth2_implicit(org:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
orgname | 組織の名前 | string |
要求の body スキーマ (application/json)
新しいプロトタイプの説明
| 名前 | 説明 | スキーマ |
|---|---|---|
|
role | 委譲に適用する必要のあるロール | string |
|
activating_user | ルールが適用されるユーザーを作成するリポジトリー | object |
|
委譲 | ルールでアクセス権を付与するユーザーまたはチームに関する情報 | object |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 201 | 作成に成功 | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
$ curl -X POST -H "Authorization: Bearer <bearer_token>" -H "Content-Type: application/json" --data '{
"role": "<admin_read_or_write>",
"delegate": {
"name": "<username>",
"kind": "user"
},
"activating_user": {
"name": "<robot_name>"
}
}' https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes
7.14.4. getOrganizationPrototypePermissions リンクのコピーリンクがクリップボードにコピーされました!
この組織の既存のプロトタイプをリスト表示します。
GET /api/v1/organization/{orgname}/prototypes
認可: oauth2_implicit(org:admin)
パスパラメーター
| タイプ | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
orgname | 組織の名前 | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 結果が見つからない |
コマンドの例
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/organization/<organization_name>/prototypes